package com.kuyuntech.vrv.coreapi.service.core;

import com.kuyuntech.vrv.coreapi.bean.core.RolePowerBean;
import com.wbspool.fastboot.core.common.bean.PagerBean;
import java.util.List;

/**
 * RolePowerService
 *
 */
public interface RolePowerService  {

    

    /**
     * 新增记录
     * @param rolePowerBean 新增参数
     * @return 如果成功返回对应bean，否则返回null
     */
     RolePowerBean add(RolePowerBean rolePowerBean);

    /**
     * 更新记录
     * @param rolePowerBean 更新参数
     * @return 如果成功返回对应bean，否则返回null
     */
     RolePowerBean update(RolePowerBean rolePowerBean);

    /**
     * 删除记录
     * @param rolePowerBean 删除参数
     * @return 如果成功返回对应bean，否则返回null
     */
    RolePowerBean delete(RolePowerBean rolePowerBean);

    /**
     * 查找一条记录
     * @param rolePowerBean 查找参数
     * @return 如果成功返回对应bean，否则返回null
     */
    RolePowerBean find(RolePowerBean rolePowerBean);

    /**
     * 通过唯一标识查找记录
     * @param code 用户标识
     * @return 记录存在返回对应的bean，否则返回null
     */
     RolePowerBean find(String code);

    /**
     * 分页查找多条记录
     * @param rolePowerBean 查找参数
     * @param pagerBean  分页参数
     * @return 记录存在返回对应的bean集合，否则返回空集合
     */
     List<RolePowerBean> findAll(RolePowerBean rolePowerBean, PagerBean pagerBean);



    /**
     * 查找所有记录
     * @param rolePowerBean 查找参数
     * @return 记录存在返回对应的bean集合，否则返回空集合
     */
     List<RolePowerBean> findAll(RolePowerBean rolePowerBean);


    /**
     * 统计所有记录
     * @param rolePowerBean 统计参数
     * @return 记录存在返回对应的bean集合，否则返回空集合
     */
     Long countAll(RolePowerBean rolePowerBean);

    /**
     * 分页查找多条记录
     * @param rolePowerBean 查询条件参数
     * @param pagerBean 分页参数
     * @return 返回查询结果的Pager封装
     */
     PagerBean<RolePowerBean> findPager(RolePowerBean rolePowerBean, PagerBean pagerBean);

    /**
     * 批量删除
     * @param rolePowerBeans 批量删除元素集合
     */
     void batchDelete(List<RolePowerBean> rolePowerBeans);

    /**
     * 批量删除
     * @param codes 唯一标识集合
     */
    void batchDeleteByCodes(List<String> codes);


}
